Skip to main content
GET
/
v1
/
transactions
/
search
List all transactions
curl --request GET \
  --url https://api.creem.io/v1/transactions/search \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "mode": "test",
      "object": "transaction",
      "amount": 2000,
      "currency": "USD",
      "type": "payment",
      "status": "pending",
      "created_at": 123,
      "amount_paid": 2000,
      "discount_amount": 2000,
      "tax_country": "US",
      "tax_amount": 2000,
      "refunded_amount": 2000,
      "order": "<string>",
      "subscription": "<string>",
      "customer": "<string>",
      "description": "<string>",
      "period_start": 123,
      "period_end": 123
    }
  ],
  "pagination": {
    "total_records": 0,
    "total_pages": 0,
    "current_page": 1,
    "next_page": 2,
    "prev_page": null
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.

Query Parameters

customer_id
string

Filter transactions by customer ID.

Example:

"cust_1234567890"

order_id
string

Filter transactions by order ID.

Example:

"ord_1234567890"

product_id
string

Filter transactions by product ID.

Example:

"prod_1234567890"

page_number
number
default:1

The page number for pagination.

Example:

1

page_size
number
default:10

The number of items per page.

Example:

10

Response

Successfully retrieved transactions

items
object[]
required

List of transactions items

pagination
object
required

Pagination details for the list